using Newtonsoft.Json;
using Refit;

namespace Netina.WordPressDBConverter.Services.RestServices;

public class RestWrapper
{
    private static RefitSettings setting = new RefitSettings(new NewtonsoftJsonContentSerializer(new JsonSerializerSettings
    {
        Formatting = Newtonsoft.Json.Formatting.Indented,
        ReferenceLoopHandling = Newtonsoft.Json.ReferenceLoopHandling.Ignore,

    }));
    private static RestWrapper? _instance;
    public static RestWrapper Instance => _instance = _instance ?? new RestWrapper();

    public ISeedRestApi SeedRestApi => RestService.For<ISeedRestApi>("http://localhost:32770/api/seed", setting);
    public IUploadRestApi UploadRestApi => RestService.For<IUploadRestApi>("http://localhost:32770/api/file", setting);
}